import { Pipe, PipeTransform } from '@angular/core';
import { Exercise } from 'app/shared/model/exercise.model';
@Pipe({
  name: 'filterExerciseTitle',
})
export class FilterPipe implements PipeTransform {
  transform(value: Exercise[], searchValue: string): any {
    if (!searchValue) return value;
    return value.filter(v => v.title.toLowerCase().indexOf(searchValue.toLowerCase()) > -1);
  }
}
